Customer 360Bulk create monitoring schedules POST
Create multiple ongoing monitoring schedules at once with shared configuration. All customer references will use the same interval, categories, and notes.
Authorization
ApiKeyAuth X-API-Key<token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
curl -X POST "https://example.com/api/v1/customer-360/monitoring/bulk-create/" \ -H "Content-Type: application/json" \ -d '{ "categories": [ "pep" ], "monitoring_records": [ "string" ] }'{ "data": { "message": "string", "data": { "created_count": 0, "failed_count": 0, "created_records": [ {} ], "errors": [] } }, "status": true, "message": "Request successful.", "errors": {}, "meta": { "timestamp": "2019-08-24T14:15:22Z", "version": "v1", "request_id": "string" }, "pagination": { "page": 0, "page_size": 0, "total_pages": 0, "total_items": 0 }}Response Codes & Statuses: Prembly API responses include custom
response_code values (e.g., 00 Success, 01 Not Found, 02 Unavailable).Prembly Slack Community
Join our developer Slack channel for real-time integration support, engineering updates, and direct Q&A with the Prembly team.
Join Slack Channel